PublishToIvyRepository (Gradle API 9.5.1)
Description: declaration: package: org.gradle.api.publish.ivy.tasks, class: PublishToIvyRepository

Package org.gradle.api.publish.ivy.tasks

# Class PublishToIvyRepository

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.publish.ivy.tasks.PublishToIvyRepository

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Not worth caching") public abstract class PublishToIvyRepository extends DefaultTask
Publishes an IvyPublication to an IvyArtifactRepository.

Since:
  1.3

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `(package private) static class`
  `PublishToIvyRepository.PublishSpec`
  `(package private) static class`
  `PublishToIvyRepository.RepositorySpec`

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PublishToIvyRepository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) abstract Property<Credentials>`
  `getCredentials()`
  `protected abstract org.gradle.api.publish.ivy.internal.publisher.IvyDuplicatePublicationTracker`
  `getDuplicatePublicationTracker()`
  `protected abstract org.gradle.api.publish.ivy.internal.publisher.IvyPublisher`
  `getIvyPublisher()`
  `IvyPublication`
  `getPublication()`
  The publication to be published.
  `IvyArtifactRepository`
  `getRepository()`
  The repository to publish to.
  `void`
  `publish()`
  `void`
  `setPublication(IvyPublication publication)`
  Sets the publication to be published.
  `void`
  `setRepository(IvyArtifactRepository repository)`
  Sets the repository to publish to.

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### PublishToIvyRepository

    public PublishToIvyRepository()

- ## Method Details

  - ### getPublication

    @Internal public IvyPublication getPublication()
    The publication to be published.
    Returns:
      The publication to be published

  - ### setPublication

    public void setPublication(IvyPublication publication)
    Sets the publication to be published.
    Parameters:
      `publication` - The publication to be published

  - ### getRepository

    @Internal public IvyArtifactRepository getRepository()
    The repository to publish to.
    Returns:
      The repository to publish to

  - ### getCredentials

    @Optional abstract Property<Credentials> getCredentials()

  - ### setRepository

    public void setRepository(IvyArtifactRepository repository)
    Sets the repository to publish to.
    Parameters:
      `repository` - The repository to publish to

  - ### publish

    public void publish()

  - ### getIvyPublisher

    @Inject protected abstract org.gradle.api.publish.ivy.internal.publisher.IvyPublisher getIvyPublisher()

  - ### getDuplicatePublicationTracker

    @Inject protected abstract org.gradle.api.publish.ivy.internal.publisher.IvyDuplicatePublicationTracker getDuplicatePublicationTracker()